Subject: Re: Announce: ioperm-0.2.1 for cygwin released
From: Marcel Telka <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Jan 2003 19:06:23 +0100

On Mon, Jan 20, 2003 at 05:57:42PM -0000, Max Bowsher wrote:
> Marcel Telka wrote:
> > On Mon, Jan 20, 2003 at 10:05:43AM -0500, Christopher Faylor wrote:
> >> On Mon, Jan 20, 2003 at 03:57:35PM +0100, Marcel Telka wrote:
> >>> This software adds support for ioperm() function to Cygwin. This
> >>> support includes sys/io.h and sys/perm.h header files (not included
> >>> in Cygwin by default) together with development and runtime
> >>> libraries.
> >>>
> >>> News in this release:
> >>> * Windows DDK is optional for compilation now
> >>> * --prefix=/usr parameter for ./configure script is not mandatory
> >>> now
> >>>
> >>> Homepage: http://openwince.sourceforge.net/ioperm/
> >>
> >> Is there some reason you're not proposing this as a standard cygwin
> >> package?
> >
> > There are at least two reasons:
> > 1. A device driver (ioperm.sys) is required for running ioperm with
> > NT/2000/XP
> > 2. Windows DDK is required for the driver compilation.
> >
> > If these drawbacks are acceptable for a standard cygwin package I
> > could start ioperm integration with mainstream cygwin net
> > distribution.
> 
> Personal opinion ONLY:
> 1. is annoying but probably acceptable if there is some way to install it.

Installation is simple (reboot is not required - tested with 2000/XP).

$ ioperm -i
Installing ioperm.sys...
OpenSCManager       ok
CreateService       ok
StartService        ok

Installation ok.

> 2. is likely a problem. Are you aware that w32api has some ddk support now?

Yes. But this is only at .h level. I need a linker (binutils)...

$ objdump -x ioperm.sys 
BFD: ioperm.sys (.text): Section flag IMAGE_SCN_MEM_NOT_PAGED (0x8000000) ignored
BFD: ioperm.sys (.text): Section flag IMAGE_SCN_MEM_NOT_PAGED (0x8000000) ignored
objdump: ioperm.sys: File format not recognized

:-(

> That might be a way around this problem.

I'm unaware about any way to compile & link a device driver using cygwin-only tools
:-(

-- 
+-------------------------------------------+
| Marcel Telka   e-mail:   [email-masked]  |
|                homepage: http://telka.sk/ |
|                jabber:   [email-masked] |
+-------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/